org.apache.poi.hslf.record

## Class SlidePersistAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.SlidePersistAtom

- All Implemented Interfaces:
    GenericRecord

      public final class SlidePersistAtom
      extends RecordAtom

  A SlidePersist Atom (type 1011). Holds information on the text of a given slide, which are stored in the same SlideListWithText

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SlidePersistAtom()` Create a new SlidePersistAtom, for use with a new Slide
    `protected` | `SlidePersistAtom(byte[] source, int start, int len)` For the SlidePersist Atom

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `boolean` | `getHasShapesOtherThanPlaceholders()`
    `int` | `getNumPlaceholderTexts()`
    `long` | `getRecordType()` We are of type 1011
    `int` | `getRefID()`
    `int` | `getSlideIdentifier()`
    `void` | `setRefID(int id)`
    `void` | `setSlideIdentifier(int id)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SlidePersistAtom

          protected SlidePersistAtom(byte[] source,
                                     int start,
                                     int len)

      For the SlidePersist Atom

    - #### SlidePersistAtom

          public SlidePersistAtom()

      Create a new SlidePersistAtom, for use with a new Slide

  - ### Method Detail

    - #### getRefID

          public int getRefID()

    - #### getSlideIdentifier

          public int getSlideIdentifier()

    - #### getNumPlaceholderTexts

          public int getNumPlaceholderTexts()

    - #### getHasShapesOtherThanPlaceholders

          public boolean getHasShapesOtherThanPlaceholders()

    - #### setRefID

          public void setRefID(int id)

    - #### setSlideIdentifier

          public void setSlideIdentifier(int id)

    - #### getRecordType

          public long getRecordType()

      We are of type 1011
      Specified by:
        `getRecordType` in class `Record`

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Throws:
        `java.io.IOException`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.